uCMDB upgrade to 10.x, DMA compatible problem

We have an Enterprise customer who is using DMA 8.2 (Dependency Mapping Automation) with uCMDB 9.x and wants to upgrade to UCMDB 10.x.

The issue is that DMA 8.2 is not compatible with uCMDB 10.x.

What should we do in this case? Does this entitle them for some alternatives or a workaround?